Index: c/src/lib/libbsp/arm/nds/tools/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/nds/tools/ChangeLog	(revision 9c2eacafead672c49f84f415a63caeb24cf2fd60)
+++ c/src/lib/libbsp/arm/nds/tools/ChangeLog	(revision 9a12c7e58a235051cd282019701800f42368977a)
@@ -1,2 +1,10 @@
+2009-05-03	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* ndstool/include/banner.h, ndstool/include/header.h,
+	ndstool/include/ndstree.h, ndstool/source/banner.cpp,
+	ndstool/source/header.cpp, ndstool/source/ndscreate.cpp,
+	ndstool/source/ndstool.cpp, ndstool/source/passme.cpp: Remove
+	warnings for deprecated character conversions.
+
 2008-08-19	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/arm/nds/tools/ndstool/include/banner.h
===================================================================
--- c/src/lib/libbsp/arm/nds/tools/ndstool/include/banner.h	(revision 9c2eacafead672c49f84f415a63caeb24cf2fd60)
+++ c/src/lib/libbsp/arm/nds/tools/ndstool/include/banner.h	(revision 9a12c7e58a235051cd282019701800f42368977a)
@@ -13,5 +13,5 @@
 #pragma pack()
 
-extern char *bannerLanguages[];
+extern const char *bannerLanguages[];
 
 int InsertTitleString(char *String, FILE *file);
Index: c/src/lib/libbsp/arm/nds/tools/ndstool/include/header.h
===================================================================
--- c/src/lib/libbsp/arm/nds/tools/ndstool/include/header.h	(revision 9c2eacafead672c49f84f415a63caeb24cf2fd60)
+++ c/src/lib/libbsp/arm/nds/tools/ndstool/include/header.h	(revision 9a12c7e58a235051cd282019701800f42368977a)
@@ -73,12 +73,12 @@
 struct Country
 {
-	char countrycode;
-	char *name;
+	const char countrycode;
+	const char *name;
 };
 
 struct Maker
 {
-	char *makercode;
-	char *name;
+	const char *makercode;
+	const char *name;
 };
 
Index: c/src/lib/libbsp/arm/nds/tools/ndstool/include/ndstree.h
===================================================================
--- c/src/lib/libbsp/arm/nds/tools/ndstool/include/ndstree.h	(revision 9c2eacafead672c49f84f415a63caeb24cf2fd60)
+++ c/src/lib/libbsp/arm/nds/tools/ndstool/include/ndstree.h	(revision 9a12c7e58a235051cd282019701800f42368977a)
@@ -1,3 +1,3 @@
-inline int cmp(char *a, bool a_isdir, char *b, bool b_isdir)
+inline int cmp(const char *a, bool a_isdir, const char *b, bool b_isdir)
 {
 	// oh... directory sort doesn't matter since we write out dir- and filenames seperately
@@ -10,5 +10,5 @@
 {
 	unsigned int dir_id;		// directory ID in case of directory entry
-	char *name;					// file or directory name
+	const char *name;		// file or directory name
 	TreeNode *directory;		// nonzero indicates directory. first directory node is a dummy
 	TreeNode *prev, *next;		// linked list
@@ -23,5 +23,5 @@
 	
 	// new entry in same directory
-	TreeNode *New(char *name, bool isdir)
+	TreeNode *New(const char *name, bool isdir)
 	{
 		TreeNode *newNode = new TreeNode();
Index: c/src/lib/libbsp/arm/nds/tools/ndstool/source/banner.cpp
===================================================================
--- c/src/lib/libbsp/arm/nds/tools/ndstool/source/banner.cpp	(revision 9c2eacafead672c49f84f415a63caeb24cf2fd60)
+++ c/src/lib/libbsp/arm/nds/tools/ndstool/source/banner.cpp	(revision 9a12c7e58a235051cd282019701800f42368977a)
@@ -4,5 +4,5 @@
 #include "crc.h"
 
-char *bannerLanguages[] = { "Japanese", "English", "French", "German", "Italian", "Spanish" };
+const char *bannerLanguages[] = { "Japanese", "English", "French", "German", "Italian", "Spanish" };
 
 #define RGB16(r,g,b)			((r) | (g<<5) | (b<<10))
Index: c/src/lib/libbsp/arm/nds/tools/ndstool/source/header.cpp
===================================================================
--- c/src/lib/libbsp/arm/nds/tools/ndstool/source/header.cpp	(revision 9c2eacafead672c49f84f415a63caeb24cf2fd60)
+++ c/src/lib/libbsp/arm/nds/tools/ndstool/source/header.cpp	(revision 9a12c7e58a235051cd282019701800f42368977a)
@@ -172,5 +172,5 @@
 	printf("0x68\t%-25s\t0x%X\n", "Icon/title offset", (int)header.banner_offset);
 	unsigned short secure_area_crc = CalcSecureAreaCRC((romType == ROMTYPE_NDSDUMPED));
-	char *s1, *s2 = "";
+	const char *s1, *s2 = "";
 	if (romType == ROMTYPE_HOMEBREW) s1 = "-";
 	else if (secure_area_crc == header.secure_area_crc) s1 = "OK";
Index: c/src/lib/libbsp/arm/nds/tools/ndstool/source/ndscreate.cpp
===================================================================
--- c/src/lib/libbsp/arm/nds/tools/ndstool/source/ndscreate.cpp	(revision 9c2eacafead672c49f84f415a63caeb24cf2fd60)
+++ c/src/lib/libbsp/arm/nds/tools/ndstool/source/ndscreate.cpp	(revision 9a12c7e58a235051cd282019701800f42368977a)
@@ -149,5 +149,5 @@
  * AddFile
  */
-void AddFile(char *rootdir, char *prefix, char *entry_name, unsigned int file_id)
+void AddFile(char *rootdir, const char *prefix, const char *entry_name, unsigned int file_id)
 {
 	// make filename
@@ -203,5 +203,5 @@
  * Walks the tree and adds files to NDS
  */
-void AddDirectory(TreeNode *node, char *prefix, unsigned int this_dir_id, unsigned int _parent_id)
+void AddDirectory(TreeNode *node, const char *prefix, unsigned int this_dir_id, unsigned int _parent_id)
 {
 	// skip dummy node
Index: c/src/lib/libbsp/arm/nds/tools/ndstool/source/ndstool.cpp
===================================================================
--- c/src/lib/libbsp/arm/nds/tools/ndstool/source/ndstool.cpp	(revision 9c2eacafead672c49f84f415a63caeb24cf2fd60)
+++ c/src/lib/libbsp/arm/nds/tools/ndstool/source/ndstool.cpp	(revision 9a12c7e58a235051cd282019701800f42368977a)
@@ -65,6 +65,6 @@
 struct HelpLine
 {
-	char *option_char;
-	char *text;
+	const char *option_char;
+	const char *text;
 
 	void Print()
@@ -134,5 +134,5 @@
 		for (unsigned int i=0; i<(sizeof(helplines) / sizeof(helplines[0])); i++)
 		{
-			for (char *o = helplines[i].option_char; *o; o++)
+			for (const char *o = helplines[i].option_char; *o; o++)
 			{
 				if (*o == *specificoption) { helplines[i].Print(); found = true; }
Index: c/src/lib/libbsp/arm/nds/tools/ndstool/source/passme.cpp
===================================================================
--- c/src/lib/libbsp/arm/nds/tools/ndstool/source/passme.cpp	(revision 9c2eacafead672c49f84f415a63caeb24cf2fd60)
+++ c/src/lib/libbsp/arm/nds/tools/ndstool/source/passme.cpp	(revision 9a12c7e58a235051cd282019701800f42368977a)
@@ -16,5 +16,5 @@
  * Find
  */
-template <typename T> unsigned long Find(FILE *f, char *fmt, unsigned long begin, unsigned long end, T data, T mask, int thumb, int armnr)
+template <typename T> unsigned long Find(FILE *f, const char *fmt, unsigned long begin, unsigned long end, T data, T mask, int thumb, int armnr)
 {
 	for (unsigned long i=begin; i<end; i+=sizeof(T))
